var cache     = new Array();
var lang      = new Array(['bb']);
lang[0][0]    = "left";
lang[0][1]    = "Введите количество сообщений на форуме";
lang[0][2]    = "Введите полный URL ссылки";
lang[0][3]    = "Введите размеры флэш ролика (ширина, высота)";
lang[0][4]    = "Введите ссылку на флэш ролик";
lang[0][5]    = "Введите номер страницы";
lang[0][6]    = "Введите название сайта";
lang[0][7]    = "Введите описание ссылки";
lang[0][8]    = "Введите полный URL изображения";
lang[0][9]    = "Введите e-mail адрес";
lang[0][10]   = "Введите пункт списка. Для завершения ввода оставьте поле пустым.";
lang[0][11]   = "Использование: [CODE] Здесь Ваш код.. [/CODE]";
lang[0][12]   = "Использование: [QUOTE] Здесь Ваша Цитата.. [/QUOTE]";
lang[0][13]   = "Вы должны ввести URL";
lang[0][14]   = "Вы должны ввести название";
lang[0][15]   = "Вы должны ввести e-mail адрес";
lang[0][16]   = "Введите текст для форматирования";
lang[0][17]   = "Введите по какому краю выравнивать картинку (left, center, right)";
lang[0][18]   = "Введите описание ссылки";
lang[0][19]   = "Ввод информации";
lang[0][20]	  = "Вставка смайликов";
lang[0][21]	  = "Цвет:";
lang[0][22]   = ["Да", "Нет", "Ввод", "Отмена"];
lang[0][23]   = ['Информация','Отправить', "Отмена"];
function Ajax_Loading(message) {
    if (message) {
        $("#loading-layer-text").html(message);
    }
    var setX = ($(window).width() - $("#loading-layer").width()) / 2;
    var setY = ($(window).height() - $("#loading-layer").height()) / 2;
    $("#loading-layer").css({
        left: setX + "px",
        top: setY + "px",
        position: 'fixed',
        zIndex: '99'
    });
    $("#loading-layer").fadeTo('slow', 0.6);
};
function editTopic(id) {
    Ajax_Loading('');
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'topic_edit',
        id: id,
    }, function (data) {
        Ajax_close('');
		$('.editTopic').remove(); 
		$('#topic_item-'+id).after(data); 
    });
    
};
function doAddMessage() {
    var form = document.getElementById('message_add_form');
    if (form.message_reply.value == '') {
        Alert_popup('Заполните все необходимые поля.', lang[0][23][0]);
        return false;
    }
	if ( form.recaptcha_response_field ) {
	   var recaptcha_response_field= Recaptcha.get_response();
	   var recaptcha_challenge_field= Recaptcha.get_challenge();
    } else if (form.question) {
	   var recaptcha_response_field= form.question.value;
	   var recaptcha_challenge_field= form.question_sec.value;
	} else {
	   var recaptcha_response_field= '';
	   var recaptcha_challenge_field= '';
	}
    Ajax_Loading('');
    $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'add_msg_ajax',
        text_msg: form.message_reply.value,
        topic_id: form.topict_id.value,
		recaptcha_response_field:recaptcha_response_field,
		recaptcha_challenge_field:recaptcha_challenge_field
    }, function (data) {
        Ajax_close('');
        if (data.param == 0) {
            Alert_popup(data.data, lang[0][23][0]);
        } else if (data.param == 1) {
            if ($("#message-" + data.id).length) {
                $("#message-" + data.id).replaceWith(data.data)
            } else {
                $("#addNewMsg").append(data.data)
            }
            form.message_reply.value = ''
        } else if (data.param == 2) {
            $("#addNewMsg").append(data.data);
            form.message_reply.value = ''
        }
    });
}
function MsgEdit(id,hash) {
	Ajax_Loading('');
	cache[id] = $("#message-"+id).html();
    $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'edit_msg_ajax',
        id: id,
        hash: hash
    }, function (data) {
        Ajax_close('');
        if (data.param == 0) {
            Alert_popup(data.data, lang[0][23][0]);
        } else if (data.param == 1) {
			$("#MsgTextBox-" + id).html(data.data)
			$("#message-"+id+" .controlMsgBox").hide()
			$("#message-"+id+" .configureMessage").hide()
		}
    });
}
function editorModerBlock(idElement){
	 
	$("#"+idElement).hide()
	$("#editor_"+idElement).css('display','block'); 	
 	
}
function MsgEditSave() {
	var form = document.getElementById('message_edit_form');
    if (form.editmsgform.value == '') {
        Alert_popup('Сообщение не может быть пустым.', lang[0][23][0]);
        return false;
    }
	Ajax_Loading('');
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'save_msg_ajax_edit',
        text_msg: form.editmsgform.value,
        topic_id: form.topict_id.value,
		msg_id: form.msg_id.value
    }, function (data) {
        Ajax_close('');
		var data = jQuery.parseJSON(data);
         if (data.param == 0) {
            Alert_popup(data.data, lang[0][23][0]);
        } else if (data.param == 1) {
          $("#message-" + data.id).replaceWith(data.data)
		  $("#message-"+data.id+" .controlMsgBox").show()
		  $("#message-"+data.id+" .configureMessage").show()
        }  
    });
}
function MsgEditCancel(id) {
	 $("#message-"+id).html(cache[id]);
}
function showBlock(block) {
    var item = $(block);
	if (item.css("display") == "none") { 
		item.show('blind',{},500);
	} else {
		item.hide('blind',{},500);
	}
}
function submitKey(action) {
	//console.log(action.ctrlKey)
    if (action.keyCode == 10 || action.keyCode == 13 && action.ctrlKey) {
		doAddMessage();
	}
	//if (action.keyCode == 71 && action.ctrlKey) {
	//		
	//	}
}
function ReadTree(id) {
     BEconfirm('Вы уверены, что хотите отметить данный раздел форума как прочитанный?', 'Подтверждение', function () {
        $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'read_tree',
            id: id,
        }, function (data) {
            if (data == 'ok') {
				document.location= location.href;
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
            }
        });
    });
    return false;
}
function saveEditTopic(id) {
//    if (!$("input[name='titl']").attr("value")) {
//        Alert_popup('Заголовок обязателен к заполнению.', lang[0][23][0]);
//        return false;
//    }  
    Ajax_Loading('');
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'update_topic',
        topic_id: id,
        topic_name: $("input[name='titl']").attr("value"),
        topic_status: $('input:checkbox[name=status]').is(':checked') ? 1 : 0,
        topic_fixed: $('input:checkbox[name=fixed]').is(':checked') ? 1 : 0,
		topic_visible: $("select[name='visible_param'] :selected").val()
    }, function (data) {
        Ajax_close('');
        if (data == 'die') {
            Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
        } else if (data == 'no_edit') {
            Alert_popup('Вы не вносили изменений, сохранять нечего.', lang[0][23][0]);
        } else {
			$('.editTopic').remove(); 
            $("#topic_item-" + id).replaceWith(data);
        }
    });
};
function saveCloze(id) {$('#topic_item_edit-'+id).remove(); };
function Ajax_close(message) {$("#loading-layer").fadeOut('slow');};

function GetQuikNav() {
    //Функция вывода быстрой навигации по форуму (Попам)	
};

function getUserCard(id_user, profile, user_name) {
    var b = {};
    b[menu_profile] = function () {
        document.location = profile;
    };
    if (dle_group != 5) {

        b[menu_send] = function () {
            document.location = dle_root + 'index.php?do=pm&doaction=newpm&username=' + user_name;
        };
    }

    Ajax_Loading('');
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'get_profile_card',
        id: id_user,
        skin: dle_skin
    }, function (data) {  
	  Ajax_close('');
		if(data!='die'){
        $(".DialogForum").remove();
        $("#forum_user_card").remove();
        $("body").append(data);
        $('#forum_user_card').dialog({
			dialogClass: 'DialogForum',
            autoOpen: true,
		    show: 'fade',
            buttons: b,
            width: 450
        });}else{
			 Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
			 }

    });
    return false;
};
/*-----------------------------------------------------------------------------------------------------------------------------------------------*/
function getMessageLinck(id) {
    Alert_popup('<input class="w100" value="' +$('#message-'+id +' .getMessageLinck').attr("href") + '" />', 'Постоянная ссылка на сообщение');
};

function checkPrivateBlock() {
    if ($('input:checkbox[name=topic_type]:checked').val() == 1) {
        $('#user_topic').css("display", "table");
    } else {
        $('#user_topic').css("display", "none");
    }
};

function BeAlert(message, title) {
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
    $('#bepopup').dialog({
		dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: {
            "Ok": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
				
            }
        }
    });
};

function BEprompt(message, d, title, callback, allowempty) {
    var b = {};
    b[lang[0][22][3]] = function () {
        $(this).dialog("close");
    };
    b[lang[0][22][2]] = function () {
        if (!allowempty && $("#bepopup-promt-text").val().length < 1) {
            $("#bepopup-promt-text").addClass('ui-state-error');
        } else {
            var response = $("#bepopup-promt-text").val()
            $(this).dialog("close");
            $("#bepopup").remove();
            if (callback) callback(response);
        }
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><p>" + message + "</p><input type='text' name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value='" + d + "'/></div>");
    $('#bepopup').dialog({
		dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: b
    });
};
function DelAttach(id, hash) {
    BEconfirm('Вы уверены, что хотите удалить этот файл?', 'Подтверждение', function () {
        $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_attach',
            id: id,
            hash: hash
        }, function (data) {
            if (data == 'ok') {
                Alert_popup('Файл удален.', lang[0][23][0]);
                $("#" + id).remove();
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
            }
        });
    });
    return false;
}
function Alert_popup(message, title) {
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
    $('#bepopup').dialog({
		dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: {
            "Ok": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            }
        }
    });
};
function BEconfirm(message, title, callback) {
    var b = {};
    b['Нет'] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
    };
    b['Да'] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
        if (callback) callback();
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
    $('#bepopup').dialog({
		dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: b
    });
};
function TopicRating(param,topic)
{
	  $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'topic_rating',
            id: topic,
            type: param
        }, function (data) {
            if (data == 'ok') {
                Alert_popup('Голос учтен.', lang[0][23][0]);
            } else if (data == 'dubl') {
                Alert_popup('Вы уже голосовали в этой теме.', lang[0][23][0]);
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
            }
        });
}
function PostComplaint(id) {
    var b = {};
    b[lang[0][23][2]] = function () {
        $(this).dialog('close');
    };
    b[lang[0][23][1]] = function () {
        if ($('#bepopup-promt-text').val().length < 1) {
            $('#bepopup-promt-text').addClass('ui-state-error');
        } else {
            var response = $('#bepopup-promt-text').val()
            $(this).dialog('close');
            $('#bepopup').remove();
            $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'complaint',
                id: id,
                text: response
	            }, function (data) {
            if (data == 'ok') {
                Alert_popup('Уведомление успешно отправлено.', lang[0][23][0]);
            }  else { Alert_popup(data, lang[0][23][0]); }
            });
        }
    };
    $('#bepopup').remove();
    $('body').append("<div id='bepopup' title='Укажите текст вашей жалобы для администрации:' style='display:none'><textarea name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%;height:100px; padding: .4em;'></textarea></div>");
    $('#bepopup').dialog({
		dialogClass: 'DialogForum PostComplaintForm',
        autoOpen: true,
        width: 500,
        show: 'fade',
        buttons: b
    });
};
function ShowHide( id ) {
	  var item = $("#" + id);
	  if ( document.getElementById('image-'+ id) ) {
		var image = document.getElementById('image-'+ id);
	  } else {
		var image = null;
	  }
	if (item.css("display") == "none") { 
		item.show();
		if (image) { image.src = dle_root + 'templates/'+ dle_skin + '/bullet_energy/images/bullet_icons/spoiler-minus.gif';}
	} else {
		item.hide();
		if (image) { image.src = dle_root + 'templates/'+ dle_skin + '/bullet_energy/images/bullet_icons/spoiler-plus.gif';}
	}
};
function DeleteMsg(id, hash) {
    BEconfirm('Вы уверены, что хотите удалить сообщение?', dle_confirm, function () {
        $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_msg',
            id: id,
            hash: hash
        }, function (data) {
            if (data == 'ok') {
                Alert_popup('Сообщение удалено.', lang[0][23][0]);
               $("#message-" + id).remove();
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
            }
        });
    });
}
function topicOption(id){
	Ajax_Loading('');
	$.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
	    be_action: 'topic_option',
	    id: id,

	}, function (data) {
	    dialogOptionTopic(data, 'Редактирование темы');
	});
	Ajax_close('');
}
function like(id) {
	Ajax_Loading('');
	$.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
			be_action : 'like',
			id : id
		}, function (data) {
			if (data.param == 0) {
				Alert_popup(data.data, lang[0][23][0]);
			} else if (data.param == 1) {
				//console.log(data.linck);	
				$("#message-" + id + ' .likeContent').replaceWith(data.linck)
				$(".likeBox-" + id).replaceWith(data.likeBlock)
			}
		});
	Ajax_close('');
	return false;
}
function topicFeed(id) {
    Ajax_Loading('');
    $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
        be_action: 'feed',
        id: id
    }, function (data) {
        if (data.param == 0) {
            Alert_popup(data.data, lang[0][23][0]);
        } else if (data.param == 1) {
           //  console.log(data.linck);
            $("#feedClick").replaceWith(data.data)
            $("#bepopup").remove();
                $("body").append("<div id='bepopup' title='Информация' style='display:none'><br>" + data.sub + "</div>");
				$(".DialogForum").remove();
                $('#bepopup').dialog({
                    dialogClass: 'DialogForum',
                    autoOpen: true,
					show: 'fade',
                    width: 500,
                    buttons: {
                        "Закрыть": function () {
                            $(this).dialog("close");
                            $("#bepopup").remove();
                        }
                    }
                });
        }
    });
    Ajax_close('');
    return false;
}
function getAllLike(id) {
	Ajax_Loading('');
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        be_action: 'like_all',
        id: id
    }, function (data) {
        if (data) {
            if (data.param == '1') {
                $("#bepopup").remove();
                $("body").append("<div id='bepopup' title='" + data.titl + "' style='display:none'>" + data.data + "</div>");
				$(".DialogForum").remove();
                $('#bepopup').dialog({
                    dialogClass: 'DialogForum',
                    autoOpen: true,
					show: 'fade',
                    width: 500,
                    buttons: {
                        "Закрыть": function () {
                            $(this).dialog("close");
                            $("#bepopup").remove();
                        }
                    }
                });
            }
        }
    }, "json");
    Ajax_close('');
    return false;
}
function dialogOptionTopic(message, title) {
	Ajax_Loading('');
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
    $('#bepopup').dialog({
        dialogClass: 'DialogForum',
        autoOpen: true,
		show: 'fade',
        width: 470,
        buttons: {
            "Отмена": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            },
            "Сохронить": function () {
                $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
                    be_action: 'update_topic',
                    topic_id: $("input[name='idTopic']").attr("value"),
                    topic_name: $("input[name='titl']").attr("value"),
                    topic_status: $('input:checkbox[name=status]').is(':checked') ? 1 : 0,
                    topic_fixed: $('input:checkbox[name=fixed]').is(':checked') ? 1 : 0,
                    topic_visible: $("select[name='visible_param'] :selected").val()
                }, function (data) {
                    Ajax_close('');
                    if (data == 'die') {
                        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
                    } else if (data == 'no_edit') {
                        Alert_popup('Вы не вносили изменений, сохранять нечего.', lang[0][23][0]);
                    } else {
                        $(this).dialog("close");
                        $("#bepopup").remove();
						Alert_popup('Тема обновлена.', lang[0][23][0]);
                    }
                });

            }
        }
    });
	Ajax_close('');
};
function fast_insert(name) {
    if (!document.getElementById('message_add_form')) return false;
    var input = document.getElementById('message_add_form').message_reply;
	input.focus();
    if (be_txt != "") {
            input.value += be_txt;
        } else {
            input.value += "[b]" + name + "[/b]," + "\n";
    }
};
function copy_fast_insert(qname) {
    be_txt = '';
    if (window.getSelection) {
        be_txt = window.getSelection();
    } else if (document.selection) {
        be_txt = document.selection.createRange().text;
    }
    if (be_txt != "") {
        be_txt = '[quote=' + qname + ']' + be_txt + '[/quote]\n';
    }
};